phy_start_interrupts
Prev | PHY Support | Next

## Name

phy_start_interrupts — request and enable interrupts for a PHY device

## Synopsis

`int phy_start_interrupts (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Request the interrupt for the given PHY. If this fails, then we set irq to PHY_POLL. Otherwise, we enable the interrupts in the PHY. This should only be called with a valid IRQ number. Returns 0 on success or < 0 on error.

Prev | Up | Next
phy_disable_interrupts | Home | phy_stop_interrupts